# osg::Drawable::UpdateCallback Struct Reference

Inheritance diagram for osg::Drawable::UpdateCallback:

[legend]
List of all members.

## Public Member Functions

| UpdateCallback ()
| UpdateCallback (const UpdateCallback &, const CopyOp &)
| META_Object (osg, UpdateCallback)
virtual void | update (osg::NodeVisitor *, osg::Drawable *)
| do customized update code.

## Constructor & Destructor Documentation

osg::Drawable::UpdateCallback::UpdateCallback | ( |  | ) | `[inline]`

osg::Drawable::UpdateCallback::UpdateCallback | ( | const UpdateCallback & | ,
|  | const CopyOp & |
| ) | `[inline]`

## Member Function Documentation

osg::Drawable::UpdateCallback::META_Object | ( | osg | ,
|  | UpdateCallback |
| ) |

virtual void osg::Drawable::UpdateCallback::update | ( | osg::NodeVisitor * | ,
|  | osg::Drawable * |
| ) | `[inline, virtual]`

| do customized update code.

The documentation for this struct was generated from the following file:

- Drawable